Compatibility Requirements

Filo is compatible with devices that have:
  • iOS (version 11 or later) and Android (version 4.4 or later)
  • Bluetooth Low Energy 4.0 or later
If your device supports the above features there is a high probability that it will work with Filo. The list of compatible models with Filo increases everyday, thanks to the help of our users.

Supported Devices

Our application is regularly tested with every update on Android and iOS devices listed below to make sure that Filo works properly.
Don’t worry if your device is not listed; if it has the minimum compatibility requirements listed above it is probable that Filo will work correctly and we will be able to offer you any technical support necessary. For more information regarding a specific model that is not listed below please feel free to write us at help@filotrack.com.

iOS

iOS devices (version 11 or later) with Bluetooth 4.0 and later

iPhone

  • iPhone 5s
  • iPhone SE (1st and 2nd generation)
  • iPhone 6
  • iPhone 6 Plus
  • iPhone 6s
  • iPhone 6s Plus
  • iPhone 7
  • iPhone 7 Plus
  • iPhone 8
  • iPhone 8 Plus
  • iPhone X
  • iPhone XR
  • iPhone XS
  • iPhone XS Max
  • iPhone 11
  • iPhone 11 Pro
  • iPhone 11 Pro Max
  • iPhone 12
  • iPhone 12 mini
  • iPhone 12 Pro
  • iPhone 12 Pro Max

iPad

  • iPad 3rd, 4th, 5th, 6th, 7th, 8th generation
  • iPad Air
  • iPad Air 2
  • iPad Pro 1st, 2nd, 3rd, 4th generation
  • iPad mini 2nd, 3rd, 4th, 5th generation

Apple Watch

  • series 0, 1, 2, 3

Android

Android devices (version 4.4 or later) with Bluetooth 4.0 or later

Android smartphone

Every update we test Filo App on following Smartphones

  • Google Pixel 3a
  • Samsung Galaxy S20 plus
  • Samsung Galaxy S9
  • Samsung Galaxy S8
  • Samsung Galaxy S6 Edge
  • Samsung Galaxy S5
  • Samsung Galaxy S4 mini
  • Samsung Galaxy A40
  • Samsung Galaxy A20e
  • Samsung Galaxy A10
  • Samsung Galaxy A8
  • Samsung Galaxy A7
  • Samsung Galaxy Grand Neoplus
  • Samsung Galaxy Note 3
  • Huawei P30
  • Huawei Mate 20 lite
  • Huawei p9 lite
  • Huawei P8 lite (v. 2017)
  • Huawei P7 Ascend
  • Xiaomi Mi A9
  • Xiaomi Mi A3
  • Xiaomi Mi A2
  • Oppo A5
  • HTC One
  • Nexus 5
  • OnePlus One

Not Compatible Android devices

  • Sony Xperia series Z, M
  • Samsung S3 neo, S3, S3 mini
  • Samsung Galaxy J3

Not Supported Devices

Windows devices aren’t supported
Blackberry devices aren’t supported
Huawei devices without Google services aren’t supported

Not Available for App Gallery